%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
Name:           darkclient
Version:        0.1
Release:        2%{?dist}
Summary:        A command line tool for the darkroom service

Group:          Applications/System
License:        GPLv2+
URL:            https://github.com/kushaldas/darkclient
Source0:        http://kushal.fedorapeople.org/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-setuptools python-devel


%description
A command line tool which produces machine parse-able output from darkroom
service of GNU Buildids.


%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1  --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/darkclient
%{_datadir}/darkclient
%config(noreplace)     %{_sysconfdir}/%{name}.conf
%{python_sitelib}/darkclient-0.1*.egg-info



%changelog
* Tue Apr 03 2011 Kushal Das <kushal@fedoraproject.org> 0.1-2
- Added BR and macro name change

* Tue Apr 03 2011 Kushal Das <kushal@fedoraproject.org> 0.1-1
- v0.1 release

